#projects {
    position: relative;
}

#projects main {
    gap: 25px;
    width: 100%;
    display: grid;
    place-items: start;
    grid-template-columns: repeat(auto-fit, minmax(300px, 350px));
}  

.project-container {
    height: 100%;
    padding: 15px;
    max-width: 350px;
    gap: 10px;
    display: flex;
    flex-direction: column;
    border-radius: 10px;
    background: var(--secondary-bg-color);
    border: 1px solid var(--border-color);
}

.project-container:hover {
    border-color: var(--main-color);
}

.project-container:hover {
    border-color: var(--main-color);
}

.project-header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.project-title {
    font-size: 18px;
    color: var(--main-color);
}

.preview-btn {
    padding: 0;
    width: 30px;
    height: 30px;
    position: relative;
}

.project-btn::before {
    content: "Preview";
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    pointer-events: none;
    transition: border-color 0.3s ease;
}

.preview-btn:hover span {
    transform: scale(1.1);
    color: var(--main-color);
    border-bottom: 1px solid var(--main-color);
}

.project-description {
    font-size: 15px;
    color: var(--secondary-text-color);
}

.project-timeline {
    margin-top: auto;
    font-size: 13px;
    font-weight: 400;
    font-style: italic;
    letter-spacing: 1.2px;
    align-self: flex-end;
    color: var(--secondary-text-color);
}

.project-timeline.active {
    margin-top: auto;
    font-size: 13px;
    font-weight: 400;
    font-style: italic;
    letter-spacing: 1.2px;
    align-self: flex-end;
    color: var(--main-color);
}

.technologies-used {
    gap: 15px;
    margin: 10px 0 -5px;
    display: flex;
    list-style: none;
    align-items: center;
    align-self: flex-end;
}

.technologies-used li {
    width: 40px;
    height: 40px;
    display: flex;
    margin-bottom: 20px;
    position: relative;
    align-items: center;
    justify-content: center;
    color: var(--main-color);
    border-radius: 50px;
    box-shadow: -2px -2px 4px -3px var(--text-color),
    inset -1px -1px 4px -3px var(--text-color);
}

.technologies-used li img {
    width: 31px;
    height: 31px;
    border-radius: 50px;   
    object-fit: contain;
}

body.dark-mode .technologies-used li .invert-technology-icon {
    filter: invert(1);
}

body .technologies-used li .reinvert-technology-icon {
    filter: invert(1);
}

body.dark-mode .technologies-used li .reinvert-technology-icon {
    filter: invert(0);
}

.technology-name {
    position: absolute;
    top: 50px;
    left: 50%;
    font-size: 11px;
    transform: translateX(-50%);
}

.actions {
    display: flex;
    align-items: center;
    margin-top: 12px;
    justify-content: flex-end;
}

.redirect-to-live-demo, .redirect-to-github {
    gap: 8px;
    display: flex;
    align-items: center;
    width: max-content;
    height: 45px;
    padding: 8px 12px;
    border-radius: 8px;
    text-decoration: none;
    color: var(--text-color);
    box-shadow: -2px -2px 4px -3px var(--text-color),
    inset -1px -1px 4px -3px var(--text-color);
}

.redirect-to-live-demo {
    margin-right: auto;
}

.redirect-to-live-demo[href=""], .redirect-to-github[href=""] {
    display: none;
}

.actions p {
    margin-right: auto;
    font-size: 12px;
    color: var(--secondary-color);
}

@media screen and (max-width: 700px) {
    #projects main {
        gap: 15px;
        place-items: center;
        grid-template-columns: 1fr;
    }

    .project-container {
        max-width: 400px;
    }

    .project-title {
        font-size: 20px;
    }
    
    .project-description {
        font-size: 16px;
    }

    .technologies-used li {
        width: 35px;
        height: 35px;
    }

    .technologies-used li img {
        width: 23px;
        height: 23px;
    }

    .technology-name {
        position: absolute;
        top: 45px;
        left: 50%;
        font-size: 11px;
    }
}

@media screen and (max-width: 500px) {
    .project-container {
        max-width: 350px;
    }
}